<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>sdioemb: cspi_cmd_resp struct Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.3.5 -->
<div class="qindex"><a class="qindex" href="index.html">Main&nbsp;Page</a> | <a class="qindex" href="modules.html">Modules</a> | <a class="qindex" href="annotated.html">Data&nbsp;Structures</a> | <a class="qindex" href="files.html">File&nbsp;List</a> | <a class="qindex" href="functions.html">Data&nbsp;Fields</a> | <a class="qindex" href="pages.html">Related&nbsp;Pages</a></div>
<h1>cspi_cmd_resp Struct Reference</h1><code>#include &lt;<a class="el" href="sdio__api_8h-source.html">sdio_api.h</a>&gt;</code>
<p>
<table border=0 cellpadding=0 cellspacing=0>
<tr><td></td></tr>
<tr><td colspan=2><br><h2>Data Fields</h2></td></tr>
<tr><td class="memItemLeft" nowrap align=right valign=top>unsigned&nbsp;</td><td class="memItemRight" valign=bottom><a class="el" href="structcspi__cmd__resp.html#o0">cmd</a>: 8</td></tr>

<tr><td class="memItemLeft" nowrap align=right valign=top>unsigned&nbsp;</td><td class="memItemRight" valign=bottom><a class="el" href="structcspi__cmd__resp.html#o1">addr</a>: 24</td></tr>

<tr><td class="memItemLeft" nowrap align=right valign=top>uint16_t&nbsp;</td><td class="memItemRight" valign=bottom><a class="el" href="structcspi__cmd__resp.html#o2">val</a></td></tr>

<tr><td class="memItemLeft" nowrap align=right valign=top>uint8_t&nbsp;</td><td class="memItemRight" valign=bottom><a class="el" href="structcspi__cmd__resp.html#o3">response</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
CSPI command parameters and response. 
<p>
<hr><h2>Field Documentation</h2>
<a class="anchor" name="o1" doxytag="cspi_cmd_resp::addr" ></a><p>
<table class="mdTable" width="100%" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"> unsigned <a class="el" href="structcspi__cmd__resp.html#o1">cspi_cmd_resp::addr</a>
      </table>
    </td>
  </tr>
</table>
<table cellspacing=5 cellpadding=0 border=0>
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
24 bit address.     </td>
  </tr>
</table>
<a class="anchor" name="o0" doxytag="cspi_cmd_resp::cmd" ></a><p>
<table class="mdTable" width="100%" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"> unsigned <a class="el" href="structcspi__cmd__resp.html#o0">cspi_cmd_resp::cmd</a>
      </table>
    </td>
  </tr>
</table>
<table cellspacing=5 cellpadding=0 border=0>
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Command octet (type, and function).     </td>
  </tr>
</table>
<a class="anchor" name="o3" doxytag="cspi_cmd_resp::response" ></a><p>
<table class="mdTable" width="100%" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"> uint8_t <a class="el" href="structcspi__cmd__resp.html#o3">cspi_cmd_resp::response</a>
      </table>
    </td>
  </tr>
</table>
<table cellspacing=5 cellpadding=0 border=0>
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Response octet. Valid iff the command has completed and (<a class="el" href="structsdio__cmd.html#o7">sdio_cmd::status</a> &amp; SDD_CMD_ERR_CMD) == 0.     </td>
  </tr>
</table>
<a class="anchor" name="o2" doxytag="cspi_cmd_resp::val" ></a><p>
<table class="mdTable" width="100%" cellpadding="2" cellspacing="0">
  <tr>
    <td class="mdRow">
      <table cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td class="md" nowrap valign="top"> uint16_t <a class="el" href="structcspi__cmd__resp.html#o2">cspi_cmd_resp::val</a>
      </table>
    </td>
  </tr>
</table>
<table cellspacing=5 cellpadding=0 border=0>
  <tr>
    <td>
      &nbsp;
    </td>
    <td>

<p>
Word to write or read from the card (for non-burst commands).     </td>
  </tr>
</table>
<hr>The documentation for this struct was generated from the following file:<ul>
<li>/home/bfsw/host/releases/sdioemb/sdioemb-15/builds/sdioemb-15/include/sdioemb/<a class="el" href="sdio__api_8h-source.html">sdio_api.h</a></ul>
<hr size="1"><address style="align: right;"><small>Generated on Fri Nov 21 14:14:54 2008 for sdioemb by
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border=0 > 
</a>1.3.5 </small></address>
</body>
</html>
